## CamelSMIMEContext

CamelSMIMEContext

## Functions

CamelCipherContext * | camel_smime_context_new ()
void | camel_smime_context_set_encrypt_key ()
void | camel_smime_context_set_sign_mode ()
guint32 | camel_smime_context_describe_part ()

## Types and Values

struct | CamelSMIMEContext
enum | camel_smime_sign_t
enum | camel_smime_describe_t

## Object Hierarchy

        GObject
        ╰── CamelCipherContext
            ╰── CamelSMIMEContext

## Description

## Functions

### camel_smime_context_new ()

    CamelCipherContext *
    camel_smime_context_new (CamelSession *session);

Creates a new sm cipher context object.

#### Parameters

session | session |

#### Returns

a new sm cipher context object.

### camel_smime_context_set_encrypt_key ()

    void
    camel_smime_context_set_encrypt_key (CamelSMIMEContext *context,
                                         gboolean use,
                                         const gchar *key);

### camel_smime_context_set_sign_mode ()

    void
    camel_smime_context_set_sign_mode (CamelSMIMEContext *context,
                                       camel_smime_sign_t type);

### camel_smime_context_describe_part ()

    guint32
    camel_smime_context_describe_part (CamelSMIMEContext *Param1,
                                       struct _CamelMimePart *Param2);

## Types and Values

### struct CamelSMIMEContext

    struct CamelSMIMEContext;

### enum camel_smime_sign_t

#### Members

CAMEL_SMIME_SIGN_CLEARSIGN |  |
CAMEL_SMIME_SIGN_ENVELOPED |  |

### enum camel_smime_describe_t

#### Members

CAMEL_SMIME_SIGNED |  |
CAMEL_SMIME_ENCRYPTED |  |
CAMEL_SMIME_CERTS |  |
CAMEL_SMIME_CRLS |  |